package com.cht.tas.callout;

import org.eclipse.paho.client.mqttv3.MqttMessage;
import org.json.JSONObject;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;


@Component
public class CalloutEvent {
    private final Logger Log = LoggerFactory.getLogger(CalloutEvent.class);

    @Value("${mqtt.phone-conn.actionTopic}")
    private String actionTopic = "";

    @Autowired
    private MqttTas mqttPhone;

    public void menu(JSONObject reqJObjs){
        JSONObject respJObjs = new JSONObject();
        respJObjs.put("id", reqJObjs.getString("id"));

        respJObjs.put("type", "calloutRequest");
        respJObjs.put("node", "MyAskNode");
        respJObjs.put("text", "請問您對本次在阿忠小吃用餐的滿意度如何？滿意請按1，待改進請按2");
        respJObjs.put("collectDTMF",true);

        MqttMessage message = new MqttMessage(respJObjs.toString().getBytes());
        mqttPhone.publish(actionTopic, message);
    }

    public void myAskNode(JSONObject reqJObjs, String param){
        JSONObject respJObjs = new JSONObject();
        respJObjs.put("id", reqJObjs.getString("id"));

        //收集 param 資料即可知道用戶按下的滿意度內容

        respJObjs.put("type", "calloutRequest");
        respJObjs.put("node","byebye");
        respJObjs.put("text", "感謝回答，祝您有美好的一天，再見");
        respJObjs.put("nextNode","END");

        MqttMessage message = new MqttMessage(respJObjs.toString().getBytes());
        mqttPhone.publish(actionTopic, message);
    }
}
